## ros-iron-moveit-ros-visualization 2.8.0

=== motion_planning_rviz_plugin/CMakeLists.txt ===
set(HEADERS
  include/moveit/motion_planning_rviz_plugin/motion_planning_display.h
  include/moveit/motion_planning_rviz_plugin/motion_planning_frame.h
  include/moveit/motion_planning_rviz_plugin/motion_planning_frame_joints_widget.h
  include/moveit/motion_planning_rviz_plugin/motion_planning_param_widget.h
  include/moveit/motion_planning_rviz_plugin/interactive_marker_display.h
)
qt5_wrap_ui(UIC_FILES
  src/ui/motion_planning_rviz_plugin_frame.ui
  src/ui/motion_planning_rviz_plugin_frame_joints.ui
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Plugin Source
set(SOURCE_FILES
  src/motion_planning_frame.cpp
  src/motion_planning_frame_context.cpp
  src/motion_planning_frame_planning.cpp
  src/motion_planning_frame_objects.cpp
  src/motion_planning_frame_scenes.cpp
  src/motion_planning_frame_states.cpp
  src/motion_planning_frame_joints_widget.cpp
  src/motion_planning_display.cpp
  src/motion_planning_frame_manipulation.cpp
  src/motion_planning_param_widget.cpp
  src/interactive_marker_display.cpp
  src/icons/icons.qrc
)

add_library(moveit_motion_planning_rviz_plugin_core SHARED ${SOURCE_FILES} ${HEADERS} ${UIC_FILES})
set_target_properties(moveit_motion_planning_rviz_plugin_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(moveit_motion_planning_rviz_plugin_core moveit_rviz_plugin_render_tools moveit_planning_scene_rviz_plugin)
ament_target_dependencies(moveit_motion_planning_rviz_plugin_core
  moveit_ros_robot_interaction
  moveit_ros_planning_interface
  moveit_ros_warehouse
  rviz2
  rviz_ogre_vendor
  Qt5
  pluginlib
)
target_include_directories(moveit_motion_planning_rviz_plugin_core PRIVATE "${OGRE_PREFIX_DIR}/include")

add_library(moveit_motion_planning_rviz_plugin SHARED src/plugin_init.cpp)
set_target_properties(moveit_motion_planning_rviz_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(moveit_motion_planning_rviz_plugin moveit_motion_planning_rviz_plugin_core)
ament_target_dependencies(moveit_motion_planning_rviz_plugin
  moveit_ros_robot_interaction
  moveit_ros_warehouse
  pluginlib
  rviz_ogre_vendor
)
target_include_directories(moveit_motion_planning_rviz_plugin PRIVATE "${OGRE_PREFIX_DIR}/include")

install(DIRECTORY include/ DESTINATION include/moveit_ros_visualization)

=== trajectory_rviz_plugin/CMakeLists.txt ===
# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
set(HEADERS
  include/moveit/trajectory_rviz_plugin/trajectory_display.h
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Trajectory Display
add_library(moveit_trajectory_rviz_plugin_core SHARED
  src/trajectory_display.cpp
  ${HEADERS}
)
set_target_properties(moveit_trajectory_rviz_plugin_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(moveit_trajectory_rviz_plugin_core
  moveit_rviz_plugin_render_tools
  moveit_planning_scene_rviz_plugin_core
  rviz_ogre_vendor::OgreMain
)

ament_target_dependencies(moveit_trajectory_rviz_plugin_core
    rclcpp
    rviz2
    moveit_msgs
    pluginlib
    Boost
    rviz_ogre_vendor
)
target_include_directories(moveit_trajectory_rviz_plugin_core PRIVATE "${OGRE_PREFIX_DIR}/include")

# Plugin Initializer
add_library(moveit_trajectory_rviz_plugin SHARED src/plugin_init.cpp)
set_target_properties(moveit_trajectory_rviz_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(moveit_trajectory_rviz_plugin moveit_trajectory_rviz_plugin_core)
ament_target_dependencies(moveit_trajectory_rviz_plugin
    rclcpp
    pluginlib
    Boost
    rviz_ogre_vendor
)
target_include_directories(moveit_trajectory_rviz_plugin PRIVATE "${OGRE_PREFIX_DIR}/include")

install(DIRECTORY include/ DESTINATION include/moveit_ros_visualization)

=== debian/changelog ===
ros-iron-moveit-ros-visualization (2.8.0-1jammy) jammy; urgency=high

  * Remove boost from motion_planning_rviz_plugin (#2308 <https://github.com/ros-planning/moveit2/issues/2308>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@tuta.io>
  * Replaced numbers with SystemDefaultsQos() (#2271 <https://github.com/ros-planning/moveit2/issues/2271>)
  * fix for not having transparency in collision scenes on rviz. (#2242 <https://github.com/ros-planning/moveit2/issues/2242>)
    Co-authored-by: Alp Akgun <mailto:samialp.akgun@ocado.com>
  * Contributors: Sami Alperen Akgün, Shobuj Paul, Yang Lin

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-ros-visualization (2.7.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-ros-visualization (2.7.3-1jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-ros-visualization (2.7.2-1jammy) jammy; urgency=high

  * Readability: kinematic_state -> robot_state (#2078 <https://github.com/ros-planning/moveit2/issues/2078>)
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-ros-visualization (2.7.1-1jammy) jammy; urgency=high

  * Doxygen tag (#1955 <https://github.com/ros-planning/moveit2/issues/1955>)
    * Generate Doxygen Tag
    * Install tagfile in output directory
    * Fix problematic override for Doxygen linking
  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb, Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-ros-visualization (2.7.0-1jammy) jammy; urgency=high

  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Delete unported moveit_joy visualization demo (#1541 <https://github.com/ros-planning/moveit2/issues/1541>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Migrate to Ogre.h (#1764 <https://github.com/ros-planning/moveit2/issues/1764>)
    * Migrate to Ogre.h
    * Remove includ for OgreQuaternion.h, included in Ogre.h
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: AndyZe, Chris Thrasher, Christian Henkel, Cory Crean, Robert Haschke, Sameer Gupta, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-ros-visualization (2.6.0-1jammy) jammy; urgency=high

  * Check valid interactive marker pointer before trying to update pose (#1581 <https://github.com/ros-planning/moveit2/issues/1581>)
  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Use pragma once as header include guard (#1525 <https://github.com/ros-planning/moveit2/issues/1525>)
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>)
  * Contributors: J. Javan, Robert Haschke, Sebastian Castro, Sebastian Jahr, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 09 Nov 2022 23:00:00 -0000

ros-iron-moveit-ros-visualization (2.5.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-iron-moveit-ros-visualization (2.5.2-1jammy) jammy; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/c88f6fb64e9057a4b9a8f6fafc01060e8c48a216
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * fix regression from #1331 <https://github.com/ros-planning/moveit2/issues/1331> (#1384 <https://github.com/ros-planning/moveit2/issues/1384>)
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)


=== debian/control ===
Source: ros-iron-moveit-ros-visualization
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-class-loader, ros-iron-geometric-shapes, ros-iron-interactive-markers, ros-iron-moveit-common, ros-iron-moveit-ros-planning-interface, ros-iron-moveit-ros-robot-interaction, ros-iron-moveit-ros-warehouse, ros-iron-object-recognition-msgs, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp, ros-iron-rclpy, ros-iron-rviz2, ros-iron-tf2-eigen, ros-iron-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-iron-moveit-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-geometric-shapes, ros-iron-interactive-markers, ros-iron-moveit-common, ros-iron-moveit-ros-planning-interface, ros-iron-moveit-ros-robot-interaction, ros-iron-moveit-ros-warehouse, ros-iron-object-recognition-msgs, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp, ros-iron-rclpy, ros-iron-rviz2, ros-iron-tf2-eigen, ros-iron-ros-workspace
Description: Components of MoveIt that offer visualization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-ros-visualization//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
